# Baseado na documentação da Caixa

tipo_registro:
  pos: [1, 1]
  picture: '9(01)'
  default:  '1'

codigo_inscricao:
  pos: [2, 3]
  picture: '9(02)'

numero_inscricao:
  pos: [4, 17]
  picture: '9(14)'

agencia:
  pos: [18, 21]
  picture: '9(04)'

codigo_cedente:
  pos: [22, 27]
  picture: '9(06)'

tipo_emissao:
  pos: [28, 28]
  picture: '9(01)'
  default: '2'

tipo_distribuicao:
  pos: [29, 29]
  picture: '9(01)'
  default: '2'

taxa_permanencia:
  pos: [30, 31]
  picture: '9(02)'
  default: '00'

uso_empresa:
  pos: [32, 56]
  picture: 'X(25)'
  default: '0'

numero_carteira:
  pos: [57, 58]
  picture: 'X(02)'

nosso_numero:
  pos: [59, 73]
  picture: '9(15)'

brancos01:
  pos: [74, 76]
  picture: 'X(03)'
  default: ''

mensagem:
  pos: [77, 106]
  picture: 'X(30)'
  default: ''

tipo_carteira:
  pos: [107, 108]
  picture: 'X(02)'
  default: '02'

codigo_ocorrencia:
  pos: [109, 110]
  picture: '9(02)'

numero_documento:
  pos: [111, 120]
  picture: 'X(10)'

vencimento:
  pos: [121, 126]
  picture: '9(06)'
  date_format: '%d%m%y'

valor_titulo:
  pos: [127, 139]
  picture: '9(13)'

codigo_banco:
  pos: [140, 142]
  picture: '9(03)'
  default: '104'

agencia_colabora:
  pos: [143, 147]
  picture: '9(05)'
  default: '0'

brancos02:
  pos: [143, 147]
  picture: '9(05)'
  default: 0

especie:
  pos: [148, 149]
  picture: '9(02)'

aceite:
  pos: [150, 150]
  picture: 'X(01)'
  default: 'N'

data_emissao:
  pos: [151, 156]
  picture: '9(06)'

instrucao1:
  pos: [157, 158]
  picture: '9(02)'

instrucao2:
  pos: [159, 160]
  picture: '9(02)'
  default: '0'

juros_um_dia:
  pos: [161, 173]
  picture: '9(11)V9(02)'

desconto_ate:
  pos: [174, 179]
  picture: '9(06)'
  date_format: '%d%m%y'

valor_desconto:
  pos: [180, 192]
  picture: '9(11)V9(02)'
  default: '0'

valor_iof:
  pos: [193, 205]
  picture: '9(08)V9(05)'
  default: '0'

valor_abatimento:
  pos: [206, 218]
  picture: '9(11)V9(02)'
  default: '0'

sacado_codigo_inscricao:
  pos: [219, 220]
  picture: '9(02)'

sacado_numero_inscricao:
  pos: [221, 234]
  picture: '9(14)'

nome:
  pos: [235, 274]
  picture: 'X(40)'

logradouro:
  pos: [275, 314]
  picture: 'X(40)'

bairro:
  pos: [315, 326]
  picture: 'X(12)'

cep:
  pos: [327, 334]
  picture: '9(08)'

cidade:
  pos: [335, 349]
  picture: 'X(15)'

estado:
  pos: [350, 351]
  picture: 'X(02)'

data_multa:
  pos: [352, 357]
  picture: '9(06)'
  date_format: '%d%m%y'

valor_multa:
  pos: [358, 367]
  picture: '9(8)V9(2)'

sacador:
  pos: [368, 389]
  picture: 'X(22)'
  default: ''

instrucao3:
  pos: [390, 391]
  picture: '9(02)'
  default: '00'

prazo:
  pos: [392, 393]
  picture: '9(02)'

moeda:
  pos: [394, 394]
  picture: '9(01)'
  default: '1'

numero_sequencial:
  pos: [395, 400]
  picture: '9(06)'